Petit problème avec les thèmes sous Moz 1.5

Vous cherchez une solution complète et libre ? La curiosité vous presse de poser des questions sur SeaMonkey (successeur de la suite Mozilla), et vous ne parvenez pas à trouver de réponses ? Venez ici, et trouvez votre bonheur.

Modérateur : Mori

Répondre
RNB
Arias
Messages : 7
Enregistré le : 20 août 2003, 12:12

Petit problème avec les thèmes sous Moz 1.5

Message par RNB » 18 nov. 2003, 17:11

Bonjour à tous.

J'ai essayé ce matin d'installer de nouveaux thèmes pour mon lézard préféré, 1.5ème du nom, mais malheureusement le site themes.mozdev.org me signale que j'utilise un "non-themable browser". N'ayant jamais eu ce pb avec les versions précédentes, je me demande si Moz 1.5 n'accepte plus les thèmes, ou s'il n'y en a pas encore de compatible pour cette verion ?!...

Cela pourrait-il être en relation avec les quelques modifs que j'ai apporté au fichier prefs.js (via user.js) ? J'y ai remplacé l'entrée originale du 'general.useragent.override' par "Mozilla/5.0 (compatible;)". Vu que ca fait partie du paquet envoyé au serveur, peut-être le site identifie mal mon navigateur ?! J'aurai bien tenté le téléchargement en remettant la valeur par défaut, mais crétin comme je suis, je ne me rappelle plus ce que c'était... :oops:
Ou alors à cause des modifs apportés à userchrome.css et usercontent.css, mais ca je ne crois pas.

Merci à ceux ou celles qui pourront éclairer ma lanterne.

Shogix
Iguane
Messages : 516
Enregistré le : 29 juil. 2003, 04:47

Message par Shogix » 18 nov. 2003, 21:59

Taper about:config dans la barre d'adresse, rechercher la chaîne general.useragent.override, clic droit et remettre à la valeur par défaut?

Invité

Message par Invité » 21 nov. 2003, 19:19

En tout cas mozilla 1.5 est compatible avec les thèmes.
Il est pourrait y avoir un pb si tu utilisais une version non-officielle ou bien bêta mais ça n'a pas l'air d'être ton cas.
Sur themes.mozdev.org ils pratiquent en effet une identification pour qu'on ne télécharge pas une mauvaise version d'un thème (je ne sais pas sur quoi elle se base).
Si l'identification par le site se passe bien, on doit voir "You appear to be using:+une image de mozilla et 1.5 écrit dessus"
Cependant il y a toujours un gros lien rouge"show all versions" qui d'habitude marche et permet de lancer le téléchargement de n'importe quelle version.
Si j'ai bien compris tu fais du spoofing de Useragent (ça s'appelle comme ça ??!!!). Je peux te donner le mien : Mozilla/5.0 (Windows; U; Windows NT 5.0; fr-FR; rv:1.5) Gecko/20031007 mais je ne suis pas sûr que ça pourra t'aider. Néanmoins, pour spoofer facilement tu pourrais utiliser la PrefBar (http://prefbar.mozdev.org/) qui propose (entre autres) cette possibilité et surtout permet de revenir à la valeur original.

RNB
Arias
Messages : 7
Enregistré le : 20 août 2003, 12:12

Pb à moitié résolu

Message par RNB » 24 nov. 2003, 02:15

invité a écrit :Sur themes.mozdev.org ils pratiquent en effet une identification pour qu'on ne télécharge pas une mauvaise version d'un thème (je ne sais pas sur quoi elle se base).
Si l'identification par le site se passe bien, on doit voir "You appear to be using:+une image de mozilla et 1.5 écrit dessus"
Cependant il y a toujours un gros lien rouge"show all versions" qui d'habitude marche et permet de lancer le téléchargement de n'importe quelle version.
Effectivement. je n'avais pas fait gaffe. Je viens de tester, et ca marche. Merci.
invité a écrit :Si j'ai bien compris tu fais du spoofing de Useragent (ça s'appelle comme ça ??!!!). Je peux te donner le mien : Mozilla/5.0 (Windows; U; Windows NT 5.0; fr-FR; rv:1.5) Gecko/20031007 mais je ne suis pas sûr que ça pourra t'aider. Néanmoins, pour spoofer facilement tu pourrais utiliser la PrefBar (http://prefbar.mozdev.org/) qui propose (entre autres) cette possibilité et surtout permet de revenir à la valeur original.
Merci pour la valeur de ton useragent: je vois la structure du truc. Je n'ai qu'à remplacer la version Windows par la mienne (Windows Millenium - Et que je ne vois personne rigoler ! Et pis je travaille plus souvent sous Linux-Mdk !)
J'ai déjà la Prefbar depuis un moment, mais je vois pas comment l'utiliser pour retrouver l'identifiant par défaut. J'ai bien "Real UA" pour UserAgent, mais Mozdev ne m'identifie toujours pas!

Mais bon, c'est pas grave, je suis tout de même arrivé à installer des thèmes avec le "show all versions" de Mozdev. Pour la version 1.6, je ferais une sauvegarde des fichiers par défaut avant de tout tripatouiller dans tous les sens.

Encore merci.

Shogix
Iguane
Messages : 516
Enregistré le : 29 juil. 2003, 04:47

Re: Pb à moitié résolu

Message par Shogix » 24 nov. 2003, 02:34

RNB a écrit :J'ai déjà la Prefbar depuis un moment, mais je vois pas comment l'utiliser pour retrouver l'identifiant par défaut. J'ai bien "Real UA" pour UserAgent, mais Mozdev ne m'identifie toujours pas!
Probablement que "Real UA" récupère la valeur de la chaîne general.useragent.override si elle existe, commence par supprimer cette chaîne et vérifie que les autres chaînes useragent correspondent à ta version.

RNB
Arias
Messages : 7
Enregistré le : 20 août 2003, 12:12

C'est bon !!!

Message par RNB » 24 nov. 2003, 12:06

shogix a écrit :Probablement que "Real UA" récupère la valeur de la chaîne general.useragent.override si elle existe, commence par supprimer cette chaîne et vérifie que les autres chaînes useragent correspondent à ta version.
Bon ben je ne sais pas comment je me suis débrouillé hier soir, mais c'a y est, Mozdev m'identifie et mon useragent est revenu à sa valeur initiale: [Mozilla/5.0 (Windows; U; Win 9x 4.90; en-US; rv:1.5) Gecko/20031007] et la chaîne general.useragent.override n'existe plus dans la config. Je l'avais supprimé de user.js lors du premier post, mais ca n'avait rien fait. Et pis là ca c'est arrangé en squizzant dans la prefbar la valeur de user.agent.

Moi être content :D
Merci à tous.

Répondre

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 3 invités